Name:          libarchive
Version:       3.2.1
Release:       1mamba
Summary:       Single library to read/write tar, cpio, pax, zip, iso9660, etc.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://libarchive.org/
Source:        http://www.libarchive.org/downloads/libarchive-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libbzip2-devel
BuildRequires: liblzma-devel
BuildRequires: liblzo-devel
BuildRequires: libnettle-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libe2fs-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libarchive is a programming library that can create and read several different streaming archive formats, including most popular tar variants, several cpio formats, and both BSD and GNU ar variants.
It can also write shar archives and read ISO9660 CDROM images and ZIP archives.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libarchive is a programming library that can create and read several different streaming archive formats, including most popular tar variants, several cpio formats, and both BSD and GNU ar variants.
It can also write shar archives and read ISO9660 CDROM images and ZIP archives.

This package contains static libraries and header files need for development.

%package tools
Group:        Applications/Archiving
Summary:      Archiving tools built on libarchive
Requires:     %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
Libarchive is a programming library that can create and read several different streaming archive formats, including most popular tar variants, several cpio formats, and both BSD and GNU ar variants.
It can also write shar archives and read ISO9660 CDROM images and ZIP archives.
This package contains the following programs built on libarchive:
 - bsdtar
    A full-featured 'tar' replacement.
 - bsdcpio
    A different interface to cpio with essentially the same functionality.

%prep
%setup -q

%build
%configure \
   --enable-shared \
   --disable-static \
   --enable-bsdtar=shared \
   --enable-bsdcpio=shared \
   --enable-largefile

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

mv %{buildroot}%{_mandir}/man5/cpio.5 %{buildroot}%{_mandir}/man5/archive_cpio.5
mv %{buildroot}%{_mandir}/man5/tar.5 %{buildroot}%{_mandir}/man5/archive_tar.5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libarchive.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/archive_entry.h
%{_includedir}/archive.h
%{_libdir}/libarchive.la
%{_libdir}/libarchive.so
%{_libdir}/pkgconfig/libarchive.pc
%{_mandir}/man3/*
%{_mandir}/man5/*
%doc examples
%doc contrib/libarchive_autodetect-st_lib_archive.m4
%doc NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/bsdcat
%{_bindir}/bsdcpio
%{_bindir}/bsdtar
%{_mandir}/man1/bsdcat.1*
%{_mandir}/man1/bsdcpio.1*
%{_mandir}/man1/bsdtar.1*

%changelog
* Mon Jul 04 2016 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Thu Jun 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-3mamba
- rebuilt to remove link time dependency on libacl.la

* Mon Jul 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-2mamba
- rebuilt to remove deps on /lib*/libacl.la

* Sat Apr 27 2013 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- update to 3.1.2

* Mon Dec 03 2012 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- update to 3.0.4

* Mon Apr 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.5-1mamba
- update to 2.8.5

* Sat Feb 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.4-3mamba
- rebuilt with new attr due to change of position of library from /usr/lib to /lib

* Wed Jan 12 2011 Automatic Build System <autodist@mambasoft.it> 2.8.4-2mamba
- automatic update by autodist

* Wed Oct 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.4-1mamba
- update to 2.8.4

* Thu Nov 12 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.7.1-1mamba
- update to 2.7.1
- fixed project and tarball URLs

* Sun Jan 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- automatic update by autodist

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 2.5.5-1mamba
- update to 2.5.5

* Sat Mar 08 2008 Aleph0 <aleph0@openmamba.org> 2.4.13-1mamba
- package created by autospec
